<?php

namespace Vendtics\App\Models;

defined( 'ABSPATH' ) || exit;

use Vendtics\WpMVC\App;
use Vendtics\WpMVC\Database\Eloquent\Model;
use Vendtics\WpMVC\Database\Resolver;

class User extends Model {
    public static function get_table_name():string {
        return 'users';
    }

    public function resolver():Resolver {
        return App::$container->get( Resolver::class );
    }
}